OpenSubdiv: StencilReal< REAL > Class Template Reference

| OpenSubdiv

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | Friends | List of all members
StencilReal< REAL > Class Template Reference

Vertex stencil descriptor. More...

`#include <stencilTable.h>`

Inheritance diagram for StencilReal< REAL >:

## Public Member Functions
| StencilReal ()
| Default constructor.
| StencilReal (int *size, Index *indices, REAL *weights)
| Constructor.
| StencilReal (StencilReal const &other)
| Copy constructor.
int | GetSize () const
| Returns the size of the stencil.
int * | GetSizePtr () const
| Returns the size of the stencil as a pointer.
Index const * | GetVertexIndices () const
| Returns the control vertices' indices.
REAL const * | GetWeights () const
| Returns the interpolation weights.
void | Next ()
| Advance to the next stencil in the table.

## Protected Attributes
int * | _size
Index * | _indices
REAL * | _weights

## Friends
class | StencilTableFactoryReal< REAL >
class | LimitStencilTableFactoryReal< REAL >

## Detailed Description

template<typename REAL>
class OpenSubdiv::OPENSUBDIV_VERSION::Far::StencilReal< REAL >

Vertex stencil descriptor.

Allows access and manipulation of a single stencil in a StencilTable.

Definition at line 53 of file stencilTable.h.

## Constructor & Destructor Documentation

## ◆ StencilReal() [1/3]

template<typename REAL >

StencilReal | ( |  | ) |
| inline

Default constructor.

Definition at line 57 of file stencilTable.h.

## ◆ StencilReal() [2/3]

template<typename REAL >

StencilReal | ( | int * | size,
|  | Index * | indices,
|  | REAL * | weights )
| inline

Constructor.

Parameters

  size | Table pointer to the size of the stencil
  indices | Table pointer to the vertex indices of the stencil
  weights | Table pointer to the vertex weights of the stencil

Definition at line 67 of file stencilTable.h.

## ◆ StencilReal() [3/3]

template<typename REAL >

StencilReal | ( | StencilReal< REAL > const & | other | ) |
| inline

Copy constructor.

Definition at line 71 of file stencilTable.h.

## Member Function Documentation

## ◆ GetSize()

template<typename REAL >

int GetSize | ( |  | ) | const
| inline

Returns the size of the stencil.

Definition at line 78 of file stencilTable.h.

## ◆ GetSizePtr()

template<typename REAL >

int * GetSizePtr | ( |  | ) | const
| inline

Returns the size of the stencil as a pointer.

Definition at line 83 of file stencilTable.h.

## ◆ GetVertexIndices()

template<typename REAL >

Index const * GetVertexIndices | ( |  | ) | const
| inline

Returns the control vertices' indices.

Definition at line 88 of file stencilTable.h.

## ◆ GetWeights()

template<typename REAL >

REAL const * GetWeights | ( |  | ) | const
| inline

Returns the interpolation weights.

Definition at line 93 of file stencilTable.h.

## ◆ Next()

template<typename REAL >

void Next | ( |  | ) |
| inline

Advance to the next stencil in the table.

Definition at line 98 of file stencilTable.h.

## Friends And Related Symbol Documentation

## ◆ LimitStencilTableFactoryReal< REAL >

template<typename REAL >

friend class LimitStencilTableFactoryReal< REAL >
| friend

Definition at line 98 of file stencilTable.h.

## ◆ StencilTableFactoryReal< REAL >

template<typename REAL >

friend class StencilTableFactoryReal< REAL >
| friend

Definition at line 98 of file stencilTable.h.

## Member Data Documentation

## ◆ _indices

template<typename REAL >

Index* _indices
| protected

Definition at line 110 of file stencilTable.h.

## ◆ _size

template<typename REAL >

int* _size
| protected

Definition at line 109 of file stencilTable.h.

## ◆ _weights

template<typename REAL >

REAL* _weights
| protected

Definition at line 111 of file stencilTable.h.

The documentation for this class was generated from the following file:

- opensubdiv/far/stencilTable.h